summaryrefslogtreecommitdiff
path: root/source4/script/gdb_backtrace
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/gdb_backtrace')
-rwxr-xr-xsource4/script/gdb_backtrace5
1 files changed, 5 insertions, 0 deletions
diff --git a/source4/script/gdb_backtrace b/source4/script/gdb_backtrace
index 72d1f75be9..bff70c389a 100755
--- a/source4/script/gdb_backtrace
+++ b/source4/script/gdb_backtrace
@@ -1,5 +1,10 @@
#!/bin/sh
+if [ -n "$VALGRIND" -o -n "$SMBD_VALGRIND" ]; then
+ echo "Not running gdb under valgrind"
+ exit 1
+fi
+
# we want everything on stderr, so the program is not disturbed
exec 1>&2